Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.teleal.cling.transport.impl
Class GENAEventProcessorImpl

    java.lang.Object
      org.teleal.cling.transport.impl.GENAEventProcessorImpl

All Implemented Interfaces:
  GENAEventProcessor

    public class GENAEventProcessorImpl

extends Object
implements GENAEventProcessor

Default implementation based on the W3C DOM XML processing API.

Author:
  Christian Bauer

Constructor Summary
`GENAEventProcessorImpl()`

Method Summary
`protected String` | `getUnprefixedNodeName(Node node)`
`void` | `readBody(IncomingEventRequestMessage requestMessage)` Transforms an XML message body and adds to a collection of `StateVariableValue`s..
`protected void` | `readProperties(Element propertysetElement, IncomingEventRequestMessage message)`
`protected Element` | `readPropertysetElement(Document d)`
`protected String` | `toString(Document d)`
`void` | `writeBody(OutgoingEventRequestMessage requestMessage)` Transforms a collection of `StateVariableValue`s into an XML message body.
`protected void` | `writeProperties(Document d, Element propertysetElement, OutgoingEventRequestMessage message)`
`protected Element` | `writePropertysetElement(Document d)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### GENAEventProcessorImpl

    public GENAEventProcessorImpl()

Method Detail

### writeBody

    public void writeBody(OutgoingEventRequestMessage requestMessage)
                   throws UnsupportedDataException

  Description copied from interface: `GENAEventProcessor`
  Transforms a collection of `StateVariableValue`s into an XML message body.

  Specified by:
    `writeBody` in interface `GENAEventProcessor`
  Parameters:
    `requestMessage` - The message to transform.
  Throws:
    `UnsupportedDataException`

### readBody

    public void readBody(IncomingEventRequestMessage requestMessage)
                  throws UnsupportedDataException

  Description copied from interface: `GENAEventProcessor`
  Transforms an XML message body and adds to a collection of `StateVariableValue`s..

  Specified by:
    `readBody` in interface `GENAEventProcessor`
  Parameters:
    `requestMessage` - The message to transform.
  Throws:
    `UnsupportedDataException`

### writePropertysetElement

    protected Element writePropertysetElement(Document d)

### readPropertysetElement

    protected Element readPropertysetElement(Document d)

### writeProperties

    protected void writeProperties(Document d,
                                   Element propertysetElement,
                                   OutgoingEventRequestMessage message)

### readProperties

    protected void readProperties(Element propertysetElement,
                                  IncomingEventRequestMessage message)

### toString

    protected String toString(Document d)
                       throws Exception

  Throws:
    `Exception`

### getUnprefixedNodeName

    protected String getUnprefixedNodeName(Node node)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2010 Teleal GmbH, Switzerland. All Rights Reserved.